我有一个从AcDbployLine派生的类,(不是一个自定义对象),在我向数据库添加一些这些对象后,然后尝试卸载我的ARX应用程序,Acad崩溃。
我做错了什么吗?我用来添加实体的代码代码0]
h
- #pragma once
- #include "TypedValue.h"
- #include "pcode.h"
- #define ISEOK(statement) { Acad::ErrorStatus st = (statement); if (st != Acad::eOk) return st; }
- class CrpRectangle: public AcDbPolyline
- {
- public:
- CrpRectangle(DataMap &tvmap);
- CrpRectangle(const AcGePoint2d &pt, double width, double height, PCode::Location loc);
- virtual ~CrpRectangle(void);
- public:
- Acad::ErrorStatus getWidth(double &width) const;
- Acad::ErrorStatus setWidth(double width);
- Acad::ErrorStatus getHeight(double &height) const;
- Acad::ErrorStatus setHeight(double height);
- Acad::ErrorStatus drawFrom(const AcGePoint3d &point);
- Acad::ErrorStatus drawFrom(const AcGePoint2d &point);
- Acad::ErrorStatus drawFrom(const AcGeVector2d &vec);
- private:
- void calcLocation(const AcGePoint2d &startPoint, double width, double height, PCode::Location loc);
- public:
- AcGePoint2d getPt1() const;
- AcGePoint2d getPt2() const;
- AcGePoint2d getPt3() const;
- AcGePoint2d getPt4() const;
- AcGePoint2d getMPB() const;
- AcGePoint2d getMPR() const;
- AcGePoint2d getMPT() const;
- AcGePoint2d getMPL() const;
- AcGePoint2d getCenter() const;
- __declspec(property(get = getPt1))AcGePoint2d PT1;
- __declspec(property(get = getPt2))AcGePoint2d PT2;
- __declspec(property(get = getPt3))AcGePoint2d PT3;
- __declspec(property(get = getPt4))AcGePoint2d PT4;
- __declspec(property(get = getMPB))AcGePoint2d MPB;
- __declspec(property(get = getMPR))AcGePoint2d MPR;
- __declspec(property(get = getMPT))AcGePoint2d MPT;
- __declspec(property(get = getMPL))AcGePoint2d MPL;
- __declspec(property(get = getCenter))AcGePoint2d Center;
- };
cpp代码2]
添加了07的arx(命令为test)
本帖以下内容被隐藏保护;需要你回复后,才能看到! 游客,如果您要查看本帖隐藏内容请 回复 |